Description

Ich habe versucht den Schritten 'Installing RST from Source' zu folgen (http://docs.cor-lab.de//rst-manual/trunk/html/install.html).
Schritt 2 ist mir dabei unklar.
- Es wird nicht beschrieben, wo der neue Ordner erstellt werden soll.
- Mir ist nicht klar, was der 'desired install prefix' soll oder was ich dort eintragen soll.
- In dem neu erstellten Ordner gibt es doch gar keine cmake file. In so fern kann ich doch cmake da auch gar nicht ausführen.

Associated revisions
Revision 4edea1fe - 04/29/2013 06:25 PM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision b88efdfb - 04/29/2013 06:26 PM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision ee6e9829 - 04/29/2013 06:26 PM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process
Revision 98fce5b5 - 04/29/2013 06:32 PM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision c94b96e5 - 04/30/2013 12:49 PM - J. Wienke

Further explanations how to install from source.

refs #1479

Revision 8fdf87d5 - 08/19/2013 11:58 AM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision 2f93fbcd - 08/19/2013 11:58 AM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision 73503497 - 08/19/2013 11:58 AM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 570e173c - 08/19/2013 11:58 AM - J. Moringen

Fine-tuned shell commands in install.rst
refs #1479

    -  install.rst: fine-tuned shell commands

Revision 82ade42e - 08/19/2013 11:58 AM - J. Wienke

Further explanations how to install from source.

refs #1479

Revision 050043a2 - 12/01/2013 08:17 PM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision 3e62477d - 12/01/2013 08:17 PM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision 641af5e5 - 12/01/2013 08:17 PM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 5ae80734 - 12/01/2013 08:18 PM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands
Revision 2728bba4 - 12/01/2013 08:18 PM - J. Wienke

Further explanations how to install from source.

refs #1479

Revision 8468ad07 - 12/20/2013 03:11 PM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision d472e22b - 12/20/2013 03:11 PM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision 78de6314 - 12/20/2013 03:23 PM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 3cd711c0 - 12/20/2013 03:23 PM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision 9466928c - 12/20/2013 03:23 PM - J. Wienke
Further explanations how to install from source.

refs #1479

Revision 756a391a - 01/16/2014 04:08 PM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision a62017fa - 01/16/2014 04:08 PM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision a8233040 - 01/16/2014 04:08 PM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 7ef51d3a - 01/16/2014 04:08 PM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision c226fae3 - 01/16/2014 04:08 PM - J. Wienke

Further explanations how to install from source.

refs #1479
Revision db2d69fb - 01/24/2014 07:23 PM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision 990497cf - 01/24/2014 07:23 PM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision 24a779a3 - 01/24/2014 07:23 PM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 3471c51b - 01/24/2014 07:23 PM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision 40d86601 - 01/24/2014 07:24 PM - J. Wienke

Further explanations how to install from source.

refs #1479

Revision 575c9cfe - 05/09/2014 08:25 PM - J. Moringen
Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision 10b7fa14 - 05/09/2014 08:25 PM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision c384d016 - 05/09/2014 08:25 PM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 0f0b4847 - 05/09/2014 08:25 PM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision bdf35115 - 05/09/2014 08:25 PM - J. Wienke

Further explanations how to install from source.

refs #1479

Revision 7067875e - 01/08/2015 10:30 AM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479
    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision 442e7f26 - 01/08/2015 10:30 AM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision 8ba403d5 - 01/08/2015 10:30 AM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 5aebf573 - 01/08/2015 10:31 AM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision 5745aa2a - 01/08/2015 10:32 AM - J. Wienke

Further explanations how to install from source.

refs #1479

Revision 8a3d145c - 01/08/2015 10:34 AM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

04/23/2024 8/15



    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision 8d2ed651 - 01/08/2015 10:34 AM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision 568741f7 - 01/08/2015 10:34 AM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 31069ae2 - 01/08/2015 10:35 AM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision 5ae2d5a3 - 01/08/2015 10:35 AM - J. Wienke

Further explanations how to install from source.

refs #1479

Revision 4e9aaa6f - 04/29/2015 03:04 PM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command
Revision ce6763c0 - 04/29/2015 03:04 PM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision f33b2b50 - 04/29/2015 03:04 PM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 2dc2062b - 04/29/2015 03:04 PM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision a383f4f4 - 04/29/2015 03:04 PM - J. Wienke

Further explanations how to install from source.

refs #1479

Revision 8c7f5112 - 04/29/2015 03:12 PM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision 61e961ae - 04/29/2015 03:12 PM - J. Moringen
Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision d3105116 - 04/29/2015 03:12 PM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 971c24af - 04/29/2015 03:12 PM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision d32c415e - 04/29/2015 03:12 PM - J. Wienke

Further explanations how to install from source.

refs #1479

Revision a08f0147 - 04/29/2015 04:45 PM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision bdcc800c - 04/29/2015 04:45 PM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479
    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section

Revision c35f1beb - 04/29/2015 04:45 PM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision 6d2192c5 - 04/29/2015 04:45 PM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision 8a1535e8 - 04/29/2015 04:45 PM - J. Wienke

Further explanations how to install from source.

refs #1479

Revision b562d68e - 09/03/2015 03:53 PM - J. Moringen

Determine released vs. master version in CMakeLists.txt

refs #1479

    -  CMakeLists.txt: use RSC's DEFINE_PROJECT_VERSION macro to determine
  released vs. master version; set variables BRANCH_NAME and
  CLONE_OPTIONS accordingly

    -  conf.py.in: use BRANCH_NAME in |repository_versioned| substitution;
  new substitution |clone_options|

    -  install.rst: use |clone_options| in clone command

Revision e94ec77f - 09/03/2015 03:54 PM - J. Moringen

Added minimal explanation of "install prefix" in install.rst

refs #1479

    -  install.rst: added minimal explanation of "install prefix" in "From
  Source" section
Revision da8b9039 - 09/03/2015 03:54 PM - J. Moringen

Minor fixes, mention RSC in install.rst

refs #1479

    -  install.rst: minor fixes; mention installation of RSC as first step
  of the installation process

Revision e85539a4 - 09/03/2015 03:54 PM - J. Moringen

Fine-tuned shell commands in install.rst

refs #1479

    -  install.rst: fine-tuned shell commands

Revision 19a02228 - 09/03/2015 03:54 PM - J. Wienke

Further explanations how to install from source.

refs #1479

History
#1 - 04/29/2013 06:33 PM - J. Moringen
- Status changed from New to Feedback
- % Done changed from 0 to 100

Wir haben versucht, die Anleitung zu verbessern. Ist es jetzt klarer?

#2 - 04/29/2013 08:40 PM - F. Tristram
Etwas klarer, funktioniert aber immer noch nicht.
    -  Wenn man den neuen Ordner erstellt und in dem versucht das cmake Kommando auszuführen, wird der Fehler geworfen, dass dort keine
cmakelist.txt existiert.
    -  Wenn ich versuche den cmake Befehl statt dessen in dem rst-proto Ordner auszuführen, bekomme ich folgenden Fehler (protoc ist allerdings
installiert):

-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at CMakeLists.txt:19 (FIND_PACKAGE):
  Could not find module FindRSC.cmake or a configuration file for package
  RSC.

  Adjust CMAKE_MODULE_PATH to find FindRSC.cmake or set RSC_DIR to the
  directory containing a CMake configuration file for RSC.  The file will
  have one of the following names:

    RSCConfig.cmake
    rsc-config.cmake

CMake Error at CMakeLists.txt:22 (FIND_PACKAGE):
  Could not find module FindProtocolBuffers.cmake or a configuration file for
  package ProtocolBuffers.

  Adjust CMAKE_MODULE_PATH to find FindProtocolBuffers.cmake or set
  ProtocolBuffers_DIR to the directory containing a CMake configuration file
  for ProtocolBuffers.  The file will have one of the following names:

    ProtocolBuffersConfig.cmake
    protocolbuffers-config.cmake

CMake Error at CMakeLists.txt:24 (MESSAGE):
  protobuf library not found

-- Configuring incomplete, errors occurred!

#3 - 04/30/2013 09:56 AM - J. Wienke

Felix Tristram wrote:
Etwas klarer, funktioniert aber immer noch nicht.    -  Wenn man den neuen Ordner erstellt und in dem versucht das cmake Kommando
auszuführen, wird der Fehler geworfen, dass dort keine cmakelist.txt existiert.

Du hast ".." am Ende vom CMake-Aufruf übersehen. Damit das jetzt aus dem Ordner funktioniert, musst du erst im Top-Level-Verzeichnis
CMakeCache.txt und CMakeFiles löschen.

    -  Wenn ich versuche den cmake Befehl statt dessen in dem rst-proto Ordner auszuführen, bekomme ich folgenden Fehler (protoc ist allerdings
installiert):

Das fixe ich in der Doku sobald Jan seine Änderungen gepushed hat. Du hast vermutlich für RSC und RST unterschiedliche Install Prefixes gewählt.
Dann kann CMake nicht automatisch bestimmen wo es RSC finden kann. Du musst beim CMake-Aufruf für RST noch -DRSC_DIR=<RSC INSTALL
PREFIX>/share/rsc angeben,

#4 - 04/30/2013 12:51 PM - J. Wienke

Kannst du jetzt noch mal probieren, ob die Doku ausreicht?

#5 - 05/02/2013 04:38 PM - F. Tristram
Jetzt hat alles funktioniert! :)

#6 - 05/02/2013 05:41 PM - J. Moringen
- Status changed from Feedback to Resolved
